--- old/usr/src/lib/libm/common/m9x/frexpf.c	2014-11-25 12:58:45.238079706 -0500
+++ new/usr/src/lib/libm/common/m9x/frexpf.c	2014-11-25 12:58:45.250779464 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexpf = __frexpf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/frexpl.c	2014-11-25 12:58:45.640092732 -0500
+++ new/usr/src/lib/libm/common/m9x/frexpl.c	2014-11-25 12:58:45.651519834 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexpl = __frexpl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/ldexp.c	2014-11-25 12:58:46.069877190 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexp.c	2014-11-25 12:58:46.081401660 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ldexp = __ldexp
-#endif
+#pragma weak __ldexp = ldexp
 
 #include "libm.h"
 #include <errno.h>
--- old/usr/src/lib/libm/common/m9x/ldexpf.c	2014-11-25 12:58:46.480031523 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexpf.c	2014-11-25 12:58:46.491496745 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ldexpf = __ldexpf
-#endif
+#pragma weak __ldexpf = ldexpf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/ldexpl.c	2014-11-25 12:58:46.879155181 -0500
+++ new/usr/src/lib/libm/common/m9x/ldexpl.c	2014-11-25 12:58:46.890773805 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak ldexpl = __ldexpl
-#endif
+#pragma weak __ldexpl = ldexpl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/llrint.c	2014-11-25 12:58:47.283472468 -0500
+++ new/usr/src/lib/libm/common/m9x/llrint.c	2014-11-25 12:58:47.294986784 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llrint = __llrint
+#pragma weak __llrint = llrint
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrint = __llrint
-#pragma weak __lrint = __llrint
-#endif
+#pragma weak lrint = llrint
+#pragma weak __lrint = llrint
 #endif
 
 /*
--- old/usr/src/lib/libm/common/m9x/llrintf.c	2014-11-25 12:58:47.684793662 -0500
+++ new/usr/src/lib/libm/common/m9x/llrintf.c	2014-11-25 12:58:47.696237291 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llrintf = __llrintf
+#pragma weak __llrintf = llrintf
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrintf = __llrintf
-#pragma weak __lrintf = __llrintf
-#endif
+#pragma weak lrintf = llrintf
+#pragma weak __lrintf = llrintf
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llrintl.c	2014-11-25 12:58:48.159613567 -0500
+++ new/usr/src/lib/libm/common/m9x/llrintl.c	2014-11-25 12:58:48.171202911 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llrintl = __llrintl
+#pragma weak __llrintl = llrintl
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lrintl = __llrintl
-#pragma weak __lrintl = __llrintl
-#endif
+#pragma weak lrintl = llrintl
+#pragma weak __lrintl = llrintl
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llround.c	2014-11-25 12:58:48.571415388 -0500
+++ new/usr/src/lib/libm/common/m9x/llround.c	2014-11-25 12:58:48.583414459 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llround = __llround
+#pragma weak __llround = llround
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lround = __llround
-#pragma weak __lround = __llround
-#endif
+#pragma weak lround = llround
+#pragma weak __lround = llround
 #endif
 
 /*
--- old/usr/src/lib/libm/common/m9x/llroundf.c	2014-11-25 12:58:48.988304382 -0500
+++ new/usr/src/lib/libm/common/m9x/llroundf.c	2014-11-25 12:58:49.001017562 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llroundf = __llroundf
+#pragma weak __llroundf = llroundf
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lroundf = __llroundf
-#pragma weak __lroundf = __llroundf
-#endif
+#pragma weak lroundf = llroundf
+#pragma weak __lroundf = llroundf
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/llroundl.c	2014-11-25 12:58:49.676124976 -0500
+++ new/usr/src/lib/libm/common/m9x/llroundl.c	2014-11-25 12:58:49.687965916 -0500
@@ -27,12 +27,10 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak llroundl = __llroundl
+#pragma weak __llroundl = llroundl
 #if defined(__sparcv9) || defined(__amd64)
-#pragma weak lroundl = __llroundl
-#pragma weak __lroundl = __llroundl
-#endif
+#pragma weak lroundl = llroundl
+#pragma weak __lroundl = llroundl
 #endif
 
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lrint.c	2014-11-25 12:58:50.173899097 -0500
+++ new/usr/src/lib/libm/common/m9x/lrint.c	2014-11-25 12:58:50.185390290 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lrint = __lrint
-#endif
+#pragma weak __lrint = lrint
 
 /*
  * lrint(x) rounds its argument to the nearest integer according
--- old/usr/src/lib/libm/common/m9x/lrintf.c	2014-11-25 12:58:50.580758353 -0500
+++ new/usr/src/lib/libm/common/m9x/lrintf.c	2014-11-25 12:58:50.592240523 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lrintf = __lrintf
-#endif
+#pragma weak __lrintf = lrintf
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lrintl.c	2014-11-25 12:58:50.984112045 -0500
+++ new/usr/src/lib/libm/common/m9x/lrintl.c	2014-11-25 12:58:50.996936114 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lrintl = __lrintl
-#endif
+#pragma weak __lrintl = lrintl
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lround.c	2014-11-25 12:58:51.395522623 -0500
+++ new/usr/src/lib/libm/common/m9x/lround.c	2014-11-25 12:58:51.407120809 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lround = __lround
-#endif
+#pragma weak __lround = lround
 
 /*
  * lround(x) rounds its argument to the nearest integer, rounding ties
--- old/usr/src/lib/libm/common/m9x/lroundf.c	2014-11-25 12:58:51.811908028 -0500
+++ new/usr/src/lib/libm/common/m9x/lroundf.c	2014-11-25 12:58:51.823896565 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lroundf = __lroundf
-#endif
+#pragma weak __lroundf = lroundf
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/lroundl.c	2014-11-25 12:58:52.238739285 -0500
+++ new/usr/src/lib/libm/common/m9x/lroundl.c	2014-11-25 12:58:52.251846545 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak lroundl = __lroundl
-#endif
+#pragma weak __lroundl = lroundl
 
 #include <sys/isa_defs.h>	/* _ILP32 */
 #include "libm.h"
--- old/usr/src/lib/libm/common/m9x/modf.c	2014-11-25 12:58:52.683310550 -0500
+++ new/usr/src/lib/libm/common/m9x/modf.c	2014-11-25 12:58:52.694768301 -0500
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modf = __modf
 #pragma weak _modf = __modf
-#endif
 
 /*
  * modf(x, iptr) decomposes x into an integral part and a fractional
--- old/usr/src/lib/libm/common/m9x/modff.c	2014-11-25 12:58:53.090750616 -0500
+++ new/usr/src/lib/libm/common/m9x/modff.c	2014-11-25 12:58:53.103067967 -0500
@@ -27,10 +27,8 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modff = __modff
 #pragma weak _modff = __modff
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/modfl.c	2014-11-25 12:58:53.492117984 -0500
+++ new/usr/src/lib/libm/common/m9x/modfl.c	2014-11-25 12:58:53.508388467 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak modfl = __modfl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nan.c	2014-11-25 12:58:53.966799938 -0500
+++ new/usr/src/lib/libm/common/m9x/nan.c	2014-11-25 12:58:53.978538918 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nan = __nan
-#endif
 
 /*
  *  nan(c) returns a NaN.  This implementation ignores c.
--- old/usr/src/lib/libm/common/m9x/nanf.c	2014-11-25 12:58:54.611863161 -0500
+++ new/usr/src/lib/libm/common/m9x/nanf.c	2014-11-25 12:58:54.632912400 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nanf = __nanf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nanl.c	2014-11-25 12:58:55.408900041 -0500
+++ new/usr/src/lib/libm/common/m9x/nanl.c	2014-11-25 12:58:55.426270252 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nanl = __nanl
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nearbyint.c	2014-11-25 12:58:55.890125224 -0500
+++ new/usr/src/lib/libm/common/m9x/nearbyint.c	2014-11-25 12:58:55.901822969 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyint = __nearbyint
-#endif
 
 /*
  * nearbyint(x) returns the nearest fp integer to x in the direction
@@ -41,7 +39,6 @@
  */
 
 #include "libm.h"
-#include "fenv_synonyms.h"
 #include <fenv.h>
 
 double
--- old/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-11-25 12:58:56.301765063 -0500
+++ new/usr/src/lib/libm/common/m9x/nearbyintf.c	2014-11-25 12:58:56.313421806 -0500
@@ -27,12 +27,9 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyintf = __nearbyintf
-#endif
 
 #include "libm.h"
-#include "fenv_synonyms.h"
 #include <fenv.h>
 
 float
--- old/usr/src/lib/libm/common/m9x/nearbyintl.c	2014-11-25 12:58:56.723409996 -0500
+++ new/usr/src/lib/libm/common/m9x/nearbyintl.c	2014-11-25 12:58:56.734963313 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nearbyintl = __nearbyintl
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/nexttoward.c	2014-11-25 12:58:57.223540004 -0500
+++ new/usr/src/lib/libm/common/m9x/nexttoward.c	2014-11-25 12:58:57.234889516 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nexttoward = __nexttoward
-#endif
 
 /*
  * nexttoward(x, y) delivers the next representable number after x
--- old/usr/src/lib/libm/common/m9x/nexttowardf.c	2014-11-25 12:58:57.715135540 -0500
+++ new/usr/src/lib/libm/common/m9x/nexttowardf.c	2014-11-25 12:58:57.738381870 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak nexttowardf = __nexttowardf
-#endif
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-11-25 12:58:58.149857965 -0500
+++ new/usr/src/lib/libm/common/m9x/nexttowardl.c	2014-11-25 12:58:58.161300272 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak nexttowardl = __nexttowardl
-#endif
+#pragma weak __nexttowardl = nexttowardl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/remquo.c	2014-11-25 12:58:58.616887274 -0500
+++ new/usr/src/lib/libm/common/m9x/remquo.c	2014-11-25 12:58:58.628564647 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquo = __remquo
+#pragma weak __remquo = remquo
 
 /* INDENT OFF */
 /*
@@ -40,7 +40,6 @@
 /* INDENT ON */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>		/* fabs() */
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/m9x/remquof.c	2014-11-25 12:58:59.131441436 -0500
+++ new/usr/src/lib/libm/common/m9x/remquof.c	2014-11-25 12:58:59.142962905 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquof = __remquof
+#pragma weak __remquof = remquof
 
 /* INDENT OFF */
 /*
@@ -39,7 +39,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 #include <math.h>
 extern float fabsf(float);
--- old/usr/src/lib/libm/common/m9x/remquol.c	2014-11-25 12:58:59.685108203 -0500
+++ new/usr/src/lib/libm/common/m9x/remquol.c	2014-11-25 12:58:59.696796657 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak remquol = __remquol
+#pragma weak __remquol = remquol
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #if defined(__SUNPRO_C)
 #include <sunmath.h>			/* fabsl */
 #endif
--- old/usr/src/lib/libm/common/m9x/round.c	2014-11-25 12:59:00.111207894 -0500
+++ new/usr/src/lib/libm/common/m9x/round.c	2014-11-25 12:59:00.122727508 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak round = __round
-#endif
+#pragma weak __round = round
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundf.c	2014-11-25 12:59:00.515674747 -0500
+++ new/usr/src/lib/libm/common/m9x/roundf.c	2014-11-25 12:59:00.527137728 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak roundf = __roundf
-#endif
+#pragma weak __roundf = roundf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/roundl.c	2014-11-25 12:59:00.933231683 -0500
+++ new/usr/src/lib/libm/common/m9x/roundl.c	2014-11-25 12:59:00.944742065 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak roundl = __roundl
-#endif
+#pragma weak __roundl = roundl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/scalbln.c	2014-11-25 12:59:01.365871621 -0500
+++ new/usr/src/lib/libm/common/m9x/scalbln.c	2014-11-25 12:59:01.377209887 -0500
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak scalbln = __scalbln
-#endif
+#pragma weak __scalbln = scalbln
 
 #include "libm.h"
 #include <float.h>		/* DBL_MAX, DBL_MIN */
 
 static const double twom54 = 5.5511151231257827021181583404541015625e-17;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const double two52 = 4503599627370496.0;
 #else
 /*
@@ -69,7 +67,7 @@
 	px[LOWORD] = w;
 	return (1 - s);
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 double
 scalbln(double x, long n) {
@@ -87,7 +85,7 @@
 	if ((px[LOWORD] | ix) == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two52;
 		k = ((px[HIWORD] & ~0x80000000) >> 20) - 52;
 #else
--- old/usr/src/lib/libm/common/m9x/scalblnf.c	2014-11-25 12:59:01.775428995 -0500
+++ new/usr/src/lib/libm/common/m9x/scalblnf.c	2014-11-25 12:59:01.786951427 -0500
@@ -27,15 +27,13 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak scalblnf = __scalblnf
-#endif
+#pragma weak __scalblnf = scalblnf
 
 #include "libm.h"
 #include <float.h>		/* FLT_MAX, FLT_MIN */
 
 static const float twom25f = 2.98023223876953125e-8F;
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 static const float two23f = 8388608.0F;
 #else
 /*
@@ -54,7 +52,7 @@
 	v <<= 1;
 	return (r + ((0xffffaa50 >> v) & 0x3));
 }
-#endif	/* defined(USE_FPSCALE) */
+#endif	/* defined(__x86) */
 
 float
 scalblnf(float x, long n) {
@@ -71,7 +69,7 @@
 	if (ix == 0 || n == 0)
 		return (x);
 	if (k == 0) {
-#if defined(USE_FPSCALE) || defined(__x86)
+#if defined(__x86)
 		x *= two23f;
 		k = ((*px & ~0x80000000) >> 23) - 23;
 #else
--- old/usr/src/lib/libm/common/m9x/scalblnl.c	2014-11-25 12:59:02.184911521 -0500
+++ new/usr/src/lib/libm/common/m9x/scalblnl.c	2014-11-25 12:59:02.196107519 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak scalblnl = __scalblnl
-#endif
+#pragma weak __scalblnl = scalblnl
 
 #include "libm.h"
 #include <float.h>		/* LDBL_MAX, LDBL_MIN */
--- old/usr/src/lib/libm/common/m9x/tgamma.c	2014-11-25 12:59:02.589812942 -0500
+++ new/usr/src/lib/libm/common/m9x/tgamma.c	2014-11-25 12:59:02.601796205 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak tgamma = __tgamma
-#endif
+#pragma weak __tgamma = tgamma
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/m9x/tgammaf.c	2014-11-25 12:59:03.124561762 -0500
+++ new/usr/src/lib/libm/common/m9x/tgammaf.c	2014-11-25 12:59:03.136324518 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak tgammaf = __tgammaf
+#pragma weak __tgammaf = tgammaf
 
 /*
  * True gamma function
@@ -40,7 +40,6 @@
  */
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include <math.h>
 #if defined(__SUNPRO_C)
 #include <sunmath.h>
--- old/usr/src/lib/libm/common/m9x/tgammal.c	2014-11-25 12:59:03.587828089 -0500
+++ new/usr/src/lib/libm/common/m9x/tgammal.c	2014-11-25 12:59:03.599458721 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak tgammal = __tgammal
-#endif
+#pragma weak __tgammal = tgammal
 
 #include "libm.h"
 #include <sys/isa_defs.h>
--- old/usr/src/lib/libm/common/m9x/trunc.c	2014-11-25 12:59:04.090048159 -0500
+++ new/usr/src/lib/libm/common/m9x/trunc.c	2014-11-25 12:59:04.101469916 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak trunc = __trunc
-#endif
+#pragma weak __trunc = trunc
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncf.c	2014-11-25 12:59:05.209713134 -0500
+++ new/usr/src/lib/libm/common/m9x/truncf.c	2014-11-25 12:59:05.221762097 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak truncf = __truncf
-#endif
+#pragma weak __truncf = truncf
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/m9x/truncl.c	2014-11-25 12:59:05.613115621 -0500
+++ new/usr/src/lib/libm/common/m9x/truncl.c	2014-11-25 12:59:05.624724509 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
-#pragma weak truncl = __truncl
-#endif
+#pragma weak __truncl = truncl
 
 #include "libm.h"
 
--- old/usr/src/lib/libm/common/mapfile-vers	2014-11-25 12:59:06.036925341 -0500
+++ new/usr/src/lib/libm/common/mapfile-vers	2014-11-25 12:59:06.048730052 -0500
@@ -234,12 +234,21 @@
 		__lgammaf_r;			#LSARC/2003/279
 		__lgammal;
 		__lgammal_r;			#LSARC/2003/279
+$if amd64 || sparcv9
+		__llrint	{ FLAGS = NODYNSORT };
+		__llrintf	{ FLAGS = NODYNSORT };
+		__llrintl	{ FLAGS = NODYNSORT };
+		__llround	{ FLAGS = NODYNSORT };
+		__llroundf	{ FLAGS = NODYNSORT };
+		__llroundl	{ FLAGS = NODYNSORT };
+$else
 		__llrint;
 		__llrintf;
 		__llrintl;
 		__llround;
 		__llroundf;
 		__llroundl;
+$endif
 		__log1pf;
 		__log1pl;
 		__log2;
@@ -709,7 +718,7 @@
 		log10;
 		log1p;
 		logb;
-		matherr;
+		matherr { FLAGS = NODIRECT };
 		nextafter;
 		pow;
 		remainder;
--- old/usr/src/lib/libm/i386/src/__reduction.s	2014-11-25 12:59:06.570762503 -0500
+++ new/usr/src/lib/libm/i386/src/__reduction.s	2014-11-25 12:59:06.582511179 -0500
@@ -39,9 +39,7 @@
 /     ----------------------------------------------------------
 
 #include "libm.h"
-#include "libm_synonyms.h"
 #include "libm_protos.h"
-#undef fabs
 
 	ENTRY(__reduction)
 #ifndef PIC
--- old/usr/src/lib/libm/i386/src/acos.s	2014-11-25 12:59:06.985716490 -0500
+++ new/usr/src/lib/libm/i386/src/acos.s	2014-11-25 12:59:06.998396973 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	ENTRY(acos)
 	fldl	4(%esp)			/ push x
 	fld1				/ push 1
--- old/usr/src/lib/libm/i386/src/acosf.s	2014-11-25 12:59:07.393961359 -0500
+++ new/usr/src/lib/libm/i386/src/acosf.s	2014-11-25 12:59:07.405373223 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	ENTRY(acosf)
 	flds	4(%esp)			/ push x
 	fld1				/ push 1
--- old/usr/src/lib/libm/i386/src/acosl.s	2014-11-25 12:59:07.797343610 -0500
+++ new/usr/src/lib/libm/i386/src/acosl.s	2014-11-25 12:59:07.808750326 -0500
@@ -30,9 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(acosl,function)
-#include "libm_synonyms.h"
-
-#undef fabs
 
 	ENTRY(acosl)
 	fldt	4(%esp)			/ push x
--- old/usr/src/lib/libm/i386/src/asin.s	2014-11-25 12:59:08.203327918 -0500
+++ new/usr/src/lib/libm/i386/src/asin.s	2014-11-25 12:59:08.215125156 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asin,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	ENTRY(asin)
 	fldl	4(%esp)			/ push x
 	fld1				/ push 1
--- old/usr/src/lib/libm/i386/src/asinf.s	2014-11-25 12:59:08.606312445 -0500
+++ new/usr/src/lib/libm/i386/src/asinf.s	2014-11-25 12:59:08.617631832 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinf,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	ENTRY(asinf)
 	flds	4(%esp)			/ push x
 	fld1				/ push 1
--- old/usr/src/lib/libm/i386/src/asinl.s	2014-11-25 12:59:09.011700997 -0500
+++ new/usr/src/lib/libm/i386/src/asinl.s	2014-11-25 12:59:09.023287335 -0500
@@ -30,9 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(asinl,function)
-#include "libm_synonyms.h"
-
-#undef fabs
 
 	ENTRY(asinl)
 	fldt	4(%esp)			/ push x
--- old/usr/src/lib/libm/i386/src/atan.s	2014-11-25 12:59:09.572271794 -0500
+++ new/usr/src/lib/libm/i386/src/atan.s	2014-11-25 12:59:09.591744720 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan)
 	fldl	4(%esp)			/ push arg
--- old/usr/src/lib/libm/i386/src/atan2.s	2014-11-25 12:59:10.018938125 -0500
+++ new/usr/src/lib/libm/i386/src/atan2.s	2014-11-25 12:59:10.030376890 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(atan2)
--- old/usr/src/lib/libm/i386/src/atan2f.s	2014-11-25 12:59:10.421015525 -0500
+++ new/usr/src/lib/libm/i386/src/atan2f.s	2014-11-25 12:59:10.432694935 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2f,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(atan2f)
--- old/usr/src/lib/libm/i386/src/atan2l.s	2014-11-25 12:59:10.821655835 -0500
+++ new/usr/src/lib/libm/i386/src/atan2l.s	2014-11-25 12:59:10.833184708 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atan2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atan2l)
 	fldt	4(%esp)			/ push y
--- old/usr/src/lib/libm/i386/src/atanl.s	2014-11-25 12:59:11.223396958 -0500
+++ new/usr/src/lib/libm/i386/src/atanl.s	2014-11-25 12:59:11.234902412 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(atanl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(atanl)
 	fldt	4(%esp)			/ push arg
--- old/usr/src/lib/libm/i386/src/ceil.s	2014-11-25 12:59:11.624526240 -0500
+++ new/usr/src/lib/libm/i386/src/ceil.s	2014-11-25 12:59:11.636152628 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceil,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceil)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/copysign.s	2014-11-25 12:59:12.028527860 -0500
+++ new/usr/src/lib/libm/i386/src/copysign.s	2014-11-25 12:59:12.039876607 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysign,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysign)
 	movl    8(%esp),%eax		/ eax <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/copysignf.s	2014-11-25 12:59:12.430639165 -0500
+++ new/usr/src/lib/libm/i386/src/copysignf.s	2014-11-25 12:59:12.442119864 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignf)
 	movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/copysignl.s	2014-11-25 12:59:12.863279998 -0500
+++ new/usr/src/lib/libm/i386/src/copysignl.s	2014-11-25 12:59:12.874621112 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(copysignl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(copysignl)
 	movl    12(%esp),%eax		/ sign and bexp of x
--- old/usr/src/lib/libm/i386/src/cos.s	2014-11-25 12:59:13.270021668 -0500
+++ new/usr/src/lib/libm/i386/src/cos.s	2014-11-25 12:59:13.281744053 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(cos,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(cos)
--- old/usr/src/lib/libm/i386/src/exp.s	2014-11-25 12:59:13.669664183 -0500
+++ new/usr/src/lib/libm/i386/src/exp.s	2014-11-25 12:59:13.681130632 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(exp)
--- old/usr/src/lib/libm/i386/src/exp10.s	2014-11-25 12:59:14.085996416 -0500
+++ new/usr/src/lib/libm/i386/src/exp10.s	2014-11-25 12:59:14.097449436 -0500
@@ -29,8 +29,6 @@
         .file "exp10.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp10)
 	movl	8(%esp),%ecx		/ ecx <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/exp10f.s	2014-11-25 12:59:14.898376690 -0500
+++ new/usr/src/lib/libm/i386/src/exp10f.s	2014-11-25 12:59:14.910056636 -0500
@@ -29,8 +29,6 @@
         .file "exp10f.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp10f)
 	movl	4(%esp),%ecx		/ ecx <-- x
--- old/usr/src/lib/libm/i386/src/exp10l.s	2014-11-25 12:59:15.307114682 -0500
+++ new/usr/src/lib/libm/i386/src/exp10l.s	2014-11-25 12:59:15.319175291 -0500
@@ -29,8 +29,6 @@
         .file "exp10l.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(exp10l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/exp2.s	2014-11-25 12:59:15.730288763 -0500
+++ new/usr/src/lib/libm/i386/src/exp2.s	2014-11-25 12:59:15.755060411 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2)
 	movl	8(%esp),%ecx		/ ecx <-- hi_32(x)
--- old/usr/src/lib/libm/i386/src/exp2f.s	2014-11-25 12:59:16.150519514 -0500
+++ new/usr/src/lib/libm/i386/src/exp2f.s	2014-11-25 12:59:16.162071516 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2f,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2f)
 	movl	4(%esp),%ecx		/ ecx <-- x
--- old/usr/src/lib/libm/i386/src/exp2l.s	2014-11-25 12:59:16.556344436 -0500
+++ new/usr/src/lib/libm/i386/src/exp2l.s	2014-11-25 12:59:16.567817614 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(exp2l,function)
-#include "libm_synonyms.h"
 
 	ENTRY(exp2l)
 	movl	12(%esp),%ecx		/ cx <--sign&bexp(x)
--- old/usr/src/lib/libm/i386/src/expl.s	2014-11-25 12:59:16.962190270 -0500
+++ new/usr/src/lib/libm/i386/src/expl.s	2014-11-25 12:59:16.973668648 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expl,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1.s	2014-11-25 12:59:17.371978379 -0500
+++ new/usr/src/lib/libm/i386/src/expm1.s	2014-11-25 12:59:17.383519678 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1f.s	2014-11-25 12:59:17.779114386 -0500
+++ new/usr/src/lib/libm/i386/src/expm1f.s	2014-11-25 12:59:17.790979840 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1f,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/expm1l.s	2014-11-25 12:59:18.190545593 -0500
+++ new/usr/src/lib/libm/i386/src/expm1l.s	2014-11-25 12:59:18.201984029 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(expm1l,function)
-#include "libm_synonyms.h"
 
 	.data
 	.align	4
--- old/usr/src/lib/libm/i386/src/fabs.s	2014-11-25 12:59:18.617791881 -0500
+++ new/usr/src/lib/libm/i386/src/fabs.s	2014-11-25 12:59:18.629140301 -0500
@@ -30,11 +30,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabs,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabs)
 	fldl    4(%esp)
-#undef	fabs
 	fabs
 	ret
 	.align	4
--- old/usr/src/lib/libm/i386/src/fabsf.s	2014-11-25 12:59:19.034103466 -0500
+++ new/usr/src/lib/libm/i386/src/fabsf.s	2014-11-25 12:59:19.045628698 -0500
@@ -30,11 +30,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsf)
 	flds    4(%esp)
-#undef	fabs
 	fabs
 	ret
 	.align	4
--- old/usr/src/lib/libm/i386/src/fabsl.s	2014-11-25 12:59:19.704218266 -0500
+++ new/usr/src/lib/libm/i386/src/fabsl.s	2014-11-25 12:59:19.715960958 -0500
@@ -30,11 +30,9 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fabsl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fabsl)
 	fldt    4(%esp)
-#undef	fabs
 	fabs
 	ret
 	.align	4
--- old/usr/src/lib/libm/i386/src/finitef.s	2014-11-25 12:59:20.116988541 -0500
+++ new/usr/src/lib/libm/i386/src/finitef.s	2014-11-25 12:59:20.128444379 -0500
@@ -29,8 +29,6 @@
         .file "finitef.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(finitef,function)
-#include "libm_synonyms.h"
 
 	ENTRY(finitef)
         movl    4(%esp),%eax		/ eax <-- x
--- old/usr/src/lib/libm/i386/src/finitel.s	2014-11-25 12:59:20.518106918 -0500
+++ new/usr/src/lib/libm/i386/src/finitel.s	2014-11-25 12:59:20.529615173 -0500
@@ -29,8 +29,6 @@
         .file "finitel.s"
 
 #include "libm.h"
-LIBM_ANSI_PRAGMA_WEAK(finitel,function)
-#include "libm_synonyms.h"
 
 	ENTRY(finitel)
 	movl    12(%esp),%eax		/ %ax <-- sign&bexp(x)
--- old/usr/src/lib/libm/i386/src/floor.s	2014-11-25 12:59:20.921955302 -0500
+++ new/usr/src/lib/libm/i386/src/floor.s	2014-11-25 12:59:20.933400614 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(floor,function)
-#include "libm_synonyms.h"
 
 	ENTRY(floor)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/floorl.s	2014-11-25 12:59:21.328007660 -0500
+++ new/usr/src/lib/libm/i386/src/floorl.s	2014-11-25 12:59:21.339546324 -0500
@@ -31,7 +31,6 @@
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(ceill,function)
 LIBM_ANSI_PRAGMA_WEAK(floorl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(ceill)
 	subl	$8,%esp
--- old/usr/src/lib/libm/i386/src/fmod.s	2014-11-25 12:59:21.763403619 -0500
+++ new/usr/src/lib/libm/i386/src/fmod.s	2014-11-25 12:59:21.775219543 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmod,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
 	ENTRY(fmod)
--- old/usr/src/lib/libm/i386/src/fmodf.s	2014-11-25 12:59:22.168555979 -0500
+++ new/usr/src/lib/libm/i386/src/fmodf.s	2014-11-25 12:59:22.181348981 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodf,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodf)
 	flds	8(%esp)			/ load arg y
--- old/usr/src/lib/libm/i386/src/fmodl.s	2014-11-25 12:59:22.594045194 -0500
+++ new/usr/src/lib/libm/i386/src/fmodl.s	2014-11-25 12:59:22.605639062 -0500
@@ -30,7 +30,6 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(fmodl,function)
-#include "libm_synonyms.h"
 
 	ENTRY(fmodl)
 	fldt	16(%esp)		/ load arg y
--- old/usr/src/lib/libm/i386/src/hypot.s	2014-11-25 12:59:23.116239180 -0500
+++ new/usr/src/lib/libm/i386/src/hypot.s	2014-11-25 12:59:23.127708666 -0500
@@ -30,11 +30,8 @@
 
 #include "libm.h"
 LIBM_ANSI_PRAGMA_WEAK(hypot,function)
-#include "libm_synonyms.h"
 #include "libm_protos.h"
 
-#undef fabs
-
 	.data
 	.align	4
 inf:
